<DOCFLEX_TEMPLATE VER='1.19'>
CREATED='2005-01-18 01:00:00'
LAST_UPDATE='2013-09-24 07:06:47'
DESIGNER_TOOL='DocFlex SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xmldoc'
ROOT_ET='#DOCUMENT'
DESCR='Processes a single XML file'
<STYLES>
	CHAR_STYLE={
		style.name='Comment';
		style.id='cs1';
		text.font.name='Courier New';
		text.color.foreground='#808080';
	}
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs2';
		style.default='true';
	}
	PAR_STYLE={
		style.name='File Info';
		style.id='s1';
		text.font.size='7';
		text.font.style.bold='true';
		par.border.top.style='solid';
		par.border.top.thickness='medium';
		par.margin.top='1.7';
		par.margin.bottom='10';
		par.padding.top='1.7';
	}
	PAR_STYLE={
		style.name='Heading 1';
		style.id='s2';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.level='1';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs3';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Internal Subset';
		style.id='cs4';
		text.font.name='Courier New';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Markup';
		style.id='cs5';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Name';
		style.id='cs6';
		text.color.foreground='#990000';
	}
	CHAR_STYLE={
		style.name='Name Highlight';
		style.id='cs7';
		text.color.foreground='#FF0000';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='s3';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page header / footer';
		style.id='cs8';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Value';
		style.id='cs9';
		text.font.size='7';
		text.font.style.bold='true';
	}
	CHAR_STYLE={
		style.name='Value Highlight';
		style.id='cs10';
		text.font.size='7';
		text.font.style.bold='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='XML Source';
		style.id='cs11';
		text.font.name='Verdana';
		text.font.size='8';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.default.font='Arial';
	doc.hlink.style.link='cs3';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"detail"';
	}
</HTARGET>
<PAGE_FOOTER>
	<AREA_SEC>
		FMT={
			sec.outputStyle='table';
			text.style='cs8';
			table.sizing='Relative';
			table.cell.padding.horz='0.8';
			table.border.style='none';
			table.border.top.style='solid';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						ATTR='xmlName'
						FMT={
							ctrl.size.width='303';
							ctrl.size.height='39.8';
						}
					</DATA_CTRL>
					<PANEL>
						FMT={
							content.outputStyle='text-par';
							ctrl.size.width='196.5';
							ctrl.size.height='39.8';
							tcell.align.horz='Right';
							table.border.style='none';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Page'
									</TEXT_CTRL>
									<DATA_CTRL>
										DOCFIELD='page'
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='of'
									</TEXT_CTRL>
									<DATA_CTRL>
										DOCFIELD='num-pages'
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</PANEL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_FOOTER>
<ROOT>
	<AREA_SEC>
		DESCR='XML\'s doc heading'
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.style='s2';
				}
				<CTRLS>
					<DATA_CTRL>
						ATTR='xmlName'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
			<CTRL_GROUP>
				FMT={
					par.style='s1';
					par.border.top.style='solid';
					par.border.top.thickness='medium';
				}
				<CTRLS>
					<DATA_CTRL>
						FORMULA='getAttrStringValue("xmlURI") + " -- " + dateTime()'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		DESCR='XML declaration'
		COND='getAttrValue("xmlDecl") != ""'
		FMT={
			text.style='cs11';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					txtfl.delimiter.type='none';
				}
				<CTRLS>
					<DATA_CTRL>
						ATTR='xmlDecl'
						FMT={
							text.style='cs5';
						}
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<ELEMENT_ITER>
		DESCR='iterates by all nodes in the XML'
		TARGET_ET='<ANY>'
		SCOPE='simple-location-rules'
		RULES={
			'* -> *';
		}
		FMT={
			text.style='cs11';
		}
		<BODY>
			<FOLDER>
				DESCR='processes <!DOCTYPE> node'
				MATCHING_ET='#DOCTYPE'
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<AREA_SEC>
						DESCR='simple case of <!DOCTYPE> node (without Internal Subset)'
						COND='getAttrValue("internalSubset") == ""'
						BREAK_PARENT_BLOCK='when-executed'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='<!DOCTYPE'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										ATTR='name'
										FMT={
											text.style='cs5';
										}
									</DATA_CTRL>
									<PANEL>
										COND='getAttrStringValue("publicId") != ""'
										FMT={
											ctrl.size.width='132.8';
											txtfl.delimiter.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='PUBLIC'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
													<DELIMITER>
													</DELIMITER>
													<TEXT_CTRL>
														TEXT='"'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
													<DATA_CTRL>
														ATTR='publicId'
														FMT={
															ctrl.option.text.noBlankOutput='true';
															text.style='cs5';
														}
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='"'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='getAttrStringValue("systemId") != ""'
										FMT={
											ctrl.size.width='138';
											txtfl.delimiter.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														COND='getAttrStringValue("publicId") == ""'
														TEXT='SYSTEM'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
													<DELIMITER>
													</DELIMITER>
													<TEXT_CTRL>
														TEXT='"'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
													<DATA_CTRL>
														ATTR='systemId'
														FMT={
															ctrl.option.text.noBlankOutput='true';
															text.style='cs5';
														}
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='"'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<DELIMITER>
										FMT={
											text.style='cs5';
											txtfl.delimiter.type='none';
										}
									</DELIMITER>
									<TEXT_CTRL>
										TEXT='>'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='<!DOCTYPE> node with the Internal Subset'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='<!DOCTYPE'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										ATTR='name'
										FMT={
											text.style='cs5';
										}
									</DATA_CTRL>
									<PANEL>
										COND='getAttrStringValue("publicId") != ""'
										FMT={
											ctrl.size.width='132.8';
											txtfl.delimiter.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='PUBLIC'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
													<DELIMITER>
													</DELIMITER>
													<TEXT_CTRL>
														TEXT='"'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
													<DATA_CTRL>
														ATTR='publicId'
														FMT={
															ctrl.option.text.noBlankOutput='true';
															text.style='cs5';
														}
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='"'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='getAttrStringValue("systemId") != ""'
										FMT={
											ctrl.size.width='138';
											txtfl.delimiter.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														COND='getAttrStringValue("publicId") == ""'
														TEXT='SYSTEM'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
													<DELIMITER>
													</DELIMITER>
													<TEXT_CTRL>
														TEXT='"'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
													<DATA_CTRL>
														ATTR='systemId'
														FMT={
															ctrl.option.text.noBlankOutput='true';
															text.style='cs5';
														}
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='"'
														FMT={
															text.style='cs5';
														}
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<TEXT_CTRL>
										TEXT='['
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
							<CTRL_GROUP>
								FMT={
									par.margin.left='8.3';
								}
								<CTRLS>
									<DATA_CTRL>
										ATTR='internalSubset'
										FMT={
											ctrl.option.text.trimSpaces='true';
											text.style='cs4';
											text.option.renderNLs='true';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT=']>'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='processes other XML nodes'
				SS_NAME='Node'
			</SS_CALL>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		DESCR='Bottom Message'
		COND='output.type == "document"'
		TEMPLATE_FILE='about.tpl'
	</TEMPLATE_CALL>
</ROOT>
<STOCK_SECTIONS>
	<ATTR_ITER>
		SS_NAME='AttrList'
		DESCR='generates list of the element\'s attributes'
		SCOPE='enumerated-attrs'
		EXCL_PASSED=false
		FMT={
			sec.outputStyle='text-par';
			txtfl.delimiter.type='none';
		}
		<BODY>
			<AREA_SEC>
				COND='name = iterator.attr.name;
name.startsWith ("xml:") || name == "xmlns" ||
name.startsWith ("xmlns:")'
				BREAK_PARENT_BLOCK='when-executed'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<DELIMITER>
							</DELIMITER>
							<DATA_CTRL>
								FORMULA='iterator.attr.name'
								FMT={
									text.style='cs7';
								}
							</DATA_CTRL>
							<TEXT_CTRL>
								TEXT='="'
								FMT={
									text.style='cs5';
								}
							</TEXT_CTRL>
							<DATA_CTRL>
								FORMULA='encodeXMLChars (
  iterator.value.toString(),
  true, true, true, false
)'
								FMT={
									text.style='cs10';
								}
							</DATA_CTRL>
							<TEXT_CTRL>
								TEXT='"'
								FMT={
									text.style='cs5';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<DELIMITER>
							</DELIMITER>
							<DATA_CTRL>
								FORMULA='iterator.attr.name'
								FMT={
									text.style='cs6';
								}
							</DATA_CTRL>
							<TEXT_CTRL>
								TEXT='="'
								FMT={
									text.style='cs5';
								}
							</TEXT_CTRL>
							<DATA_CTRL>
								FORMULA='encodeXMLChars (
  iterator.value.toString(),
  true, true, true, false
)'
								FMT={
									text.style='cs9';
								}
							</DATA_CTRL>
							<TEXT_CTRL>
								TEXT='"'
								FMT={
									text.style='cs5';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ATTR_ITER>
	<FOLDER>
		SS_NAME='Node'
		DESCR='this stock-section processes a node which may contain similar nodes within itself'
		<BODY>
			<FOLDER>
				DESCR='the case of a non-element node'
				MATCHING_ETS={'#CDATA';'#COMMENT';'#NAMESPACE';'#PI';'#TEXT'}
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<AREA_SEC>
						DESCR='TEXT node'
						MATCHING_ET='#TEXT'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										FORMULA='encodeXMLChars (contextElement.value.toString())'
										FMT={
											ctrl.option.text.collapseSpaces='true';
											ctrl.option.text.trimSpaces='true';
											ctrl.option.text.noEmptyOutput='true';
											text.style='cs9';
											text.option.renderNLs='true';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='CDATA node'
						MATCHING_ET='#CDATA'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='<![CDATA['
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
							<CTRL_GROUP>
								FMT={
									par.margin.left='8.3';
								}
								<CTRLS>
									<DATA_CTRL>
										ELEMENT_VALUE
										FMT={
											ctrl.option.text.collapseSpaces='true';
											ctrl.option.text.trimSpaces='true';
											text.style='cs9';
											text.option.renderNLs='true';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT=']]>'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='COMMENT node'
						MATCHING_ET='#COMMENT'
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.delimiter.type='none';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='<!--'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										ELEMENT_VALUE
										FMT={
											ctrl.option.text.collapseSpaces='true';
											text.style='cs1';
											text.option.renderNLs='true';
										}
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='-->'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='Processing Instruction node'
						MATCHING_ET='#PI'
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.delimiter.type='none';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='<?'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										ATTR='target'
										FMT={
											text.style='cs5';
										}
									</DATA_CTRL>
									<DELIMITER>
									</DELIMITER>
									<DATA_CTRL>
										ELEMENT_VALUE
										FMT={
											text.style='cs5';
										}
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='?>'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='processes element node'
				<HTARGET>
					COND='hasChild("#NAMESPACE")'
					HKEYS={
						'contextElement.id';
						'"xmlns"';
					}
				</HTARGET>
				<BODY>
					<AREA_SEC>
						DESCR='this is executed only when the element contains a short text (in order to produce a single-line output)'
						COND='countChildren ("*") == 1 &&
(text = getValueByLPath ("#TEXT")) != null && {
  s = text.toString();
  s.len() < 50 && ! s.contains ("\\n")
}'
						BREAK_PARENT_BLOCK='when-executed'
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.delimiter.type='none';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='<'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										FORMULA='contextElement.name'
										FMT={
											text.style='cs6';
										}
									</DATA_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='AttrList'
									</SS_CALL_CTRL>
									<TEXT_CTRL>
										TEXT='>'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										FORMULA='encodeXMLChars (
  getValueByLPath ("#TEXT").toString()
)'
										FMT={
											ctrl.option.text.collapseSpaces='true';
											ctrl.option.text.trimSpaces='true';
											text.style='cs9';
										}
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='</'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										FORMULA='contextElement.name'
										FMT={
											text.style='cs6';
										}
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='>'
										FMT={
											text.style='cs5';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<ELEMENT_ITER>
						DESCR='iterates by the element\'s child nodes -- the case of a complex element'
						TARGET_ET='<ANY>'
						SCOPE='simple-location-rules'
						RULES={
							'* -> *';
						}
						<BODY>
							<SS_CALL>
								DESCR='calls this stock-section recursively'
								SS_NAME='Node'
								FMT={
									sec.indent.left='8.3';
								}
							</SS_CALL>
						</BODY>
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.delimiter.type='none';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='<'
												FMT={
													text.style='cs5';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												FORMULA='contextElement.name'
												FMT={
													text.style='cs6';
												}
											</DATA_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='AttrList'
											</SS_CALL_CTRL>
											<TEXT_CTRL>
												TEXT='>'
												FMT={
													text.style='cs5';
												}
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<FOOTER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.delimiter.type='none';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='</'
												FMT={
													text.style='cs5';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												FORMULA='contextElement.name'
												FMT={
													text.style='cs6';
												}
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT='>'
												FMT={
													text.style='cs5';
												}
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</FOOTER>
						<ELSE>
							DESCR='this is executed when no child nodes encountered -- the case of a simple element'
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.delimiter.type='none';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='<'
												FMT={
													text.style='cs5';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												FORMULA='contextElement.name'
												FMT={
													text.style='cs6';
												}
											</DATA_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='AttrList'
											</SS_CALL_CTRL>
											<TEXT_CTRL>
												TEXT='/>'
												FMT={
													text.style='cs5';
												}
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</ELSE>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
</STOCK_SECTIONS>
CHECKSUM='mwe1xzC9qt8nYgxv5XKh9Tky?9OYDHrasYkYopL+Bfo'
</DOCFLEX_TEMPLATE>