<DOCFLEX_TEMPLATE VER='1.19'>
CREATED='2004-06-21 01:50:00'
LAST_UPDATE='2013-09-24 07:06:52'
DESIGNER_TOOL='DocFlex SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='docflex-xml-xsddoc2'
APP_NAME='DocFlex/XML XSDDoc'
APP_VER='2.8.0'
APP_AUTHOR='Copyright © 2005-2013 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ET='xs:schema'
TITLE_EXPR='title = \'Schema "\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\';

(parentTitle = getStringParam("docTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = \'Schema "\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\';

(parentTitle = getStringParam("docTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXSD';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xsds", getXMLDocument().id)';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Namespace URI';
		param.type='string';
		param.defaultValue.expr='getServiceAttr("targetNamespace")';
		param.fixed='true';
	}
	PARAM={
		param.name='$scope';
		param.description='Specifies the scope passed to subtemplates (called from this template):
<ul>
<li>"any" - unspecified</li>
<li>"namespace" - namespace overview</li>
<li>"schema" - schema overview</li>
</ul>';
		param.type='enum';
		param.enum.values='any;namespace;schema';
		param.defaultValue='schema';
		param.fixed='true';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
		param.defaultValue.expr='\'XML Schema "\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\'';
		param.fixed='true';
	}
	PARAM={
		param.name='docTitle';
		param.title='Documentation Title';
		param.type='string';
	}
	PARAM={
		param.name='doc.schema';
		param.title='Schema Overview';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.schema.profile';
		param.title='Schema Profile';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.annotation';
		param.title='Annotation';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps';
		param.title='Component Summaries';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item';
		param.title='Summary Item';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.schema.comps.item.annotation';
		param.title='Annotation';
		param.featureType='pro';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile';
		param.title='Component Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.namespace';
		param.title='Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.type';
		param.title='Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.content';
		param.title='Content';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.abstract';
		param.title='Abstract';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.block';
		param.title='Block';
		param.featureType='pro';
		param.group='true';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.enum.displayValues='any;non-default only;none';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.block.value';
		param.title='Value';
		param.featureType='pro';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.block.meaning';
		param.title='Meaning';
		param.featureType='pro';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.final';
		param.title='Final';
		param.featureType='pro';
		param.group='true';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.enum.displayValues='any;non-default only;none';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.final.value';
		param.title='Value';
		param.featureType='pro';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.final.meaning';
		param.title='Meaning';
		param.featureType='pro';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.subst';
		param.title='Subst.Gr';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.subst.heads';
		param.title='List of group heads';
		param.featureType='pro';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.subst.members';
		param.title='List of group members';
		param.featureType='pro';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.nillable';
		param.title='Nillable';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.defined';
		param.title='Defined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.includes';
		param.title='Includes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.redefines';
		param.title='Redefines';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.redefined';
		param.title='Redefined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.item.profile.used';
		param.title='Used';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.elements';
		param.title='Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.elements.local';
		param.title='Local Elements';
		param.type='enum';
		param.enum.values='all;complexType;none';
	}
	PARAM={
		param.name='doc.schema.comps.complexTypes';
		param.title='Complex Types';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.simpleTypes';
		param.title='Simple Types';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.groups';
		param.title='Element Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.attributes';
		param.title='Global Attributes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.attributeGroups';
		param.title='Attribute Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml.separate';
		param.title='Separate File';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml.remove.anns';
		param.title='Remove Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.about';
		param.title='About (footer)';
		param.type='enum';
		param.enum.values='full;short;none';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Annotation';
		style.id='cs1';
	}
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs2';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Heading 2';
		style.id='s1';
		text.font.name='Verdana';
		text.font.size='13';
		text.font.style.bold='true';
		text.color.foreground='#4477AA';
		par.bkgr.opaque='true';
		par.bkgr.color='#EEEEEE';
		par.border.style='solid';
		par.border.color='#4477AA';
		par.margin.top='0';
		par.margin.bottom='7.5';
		par.padding.left='4.2';
		par.padding.right='4.2';
		par.padding.top='2.5';
		par.padding.bottom='2.5';
		par.page.keepTogether='true';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Heading 4';
		style.id='s2';
		text.font.size='10';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#EEEEFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='10';
		par.margin.bottom='8.3';
		par.padding.left='1.7';
		par.padding.right='1.7';
		par.padding.top='1.7';
		par.padding.bottom='1.7';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs3';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono';
		style.id='cs4';
		text.font.name='Courier New';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='s3';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs5';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Page Number';
		style.id='cs6';
		text.font.size='9';
		text.font.style.italic='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs3';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"detail"';
	}
</HTARGET>
<HTARGET>
	HKEYS={
		'getXMLDocument().id';
		'"detail"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs5';
			table.cell.padding.both='0';
			table.border.style='none';
			table.border.bottom.style='solid';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						FORMULA='getStringParam("$page.heading.left")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<AREA_SEC>
		FMT={
			par.style='s1';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<TEXT_CTRL>
						TEXT='XML Schema'
					</TEXT_CTRL>
					<DATA_CTRL>
						FORMULA='\'"\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\''
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<TEMPLATE_CALL>
		COND='getBooleanParam("doc.schema.profile")'
		TEMPLATE_FILE='schemaProfile.tpl'
		PASSED_PARAMS={
			'$schemaSummary','true';
		}
		FMT={
			sec.spacing.before='10';
		}
	</TEMPLATE_CALL>
	<FOLDER>
		DESCR='Annotation'
		COND='getBooleanParam("doc.schema.annotation")'
		COLLAPSED
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../ann/annotation.tpl'
				FMT={
					text.style='cs1';
				}
			</TEMPLATE_CALL>
		</BODY>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='s2';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							trow.bkgr.color='#CCCCFF';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Annotation'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
	</FOLDER>
	<FOLDER>
		DESCR='COMPONENT SUMMARY'
		COND='getBooleanParam("doc.schema.comps")'
		FMT={
			sec.spacing.before='11.7';
		}
		<BODY>
			<TEMPLATE_CALL>
				DESCR='elements'
				COND='getBooleanParam("doc.schema.comps.elements")'
				TEMPLATE_FILE='../element/elementSummary.tpl'
				PASSED_PARAMS={
					'$elements.local','getStringParam("doc.schema.comps.elements.local")';
					'$item.annotation','getStringParam("doc.schema.comps.item.annotation")';
					'doc.comp.profile','getBooleanParam("doc.schema.comps.item.profile")';
					'doc.comp.profile.namespace','getBooleanParam("doc.schema.comps.item.profile.namespace")';
					'doc.comp.profile.type','getBooleanParam("doc.schema.comps.item.profile.type")';
					'doc.comp.profile.content','getBooleanParam("doc.schema.comps.item.profile.content")';
					'doc.comp.profile.abstract','getBooleanParam("doc.schema.comps.item.profile.abstract")';
					'doc.comp.profile.block','getStringParam("doc.schema.comps.item.profile.block")';
					'doc.comp.profile.block.value','getBooleanParam("doc.schema.comps.item.profile.block.value")';
					'doc.comp.profile.block.meaning','getBooleanParam("doc.schema.comps.item.profile.block.meaning")';
					'doc.comp.profile.final','getStringParam("doc.schema.comps.item.profile.final")';
					'doc.comp.profile.final.value','getBooleanParam("doc.schema.comps.item.profile.final.value")';
					'doc.comp.profile.final.meaning','getBooleanParam("doc.schema.comps.item.profile.final.meaning")';
					'doc.comp.profile.subst','getBooleanParam("doc.schema.comps.item.profile.subst")';
					'doc.comp.profile.subst.heads','getBooleanParam("doc.schema.comps.item.profile.subst.heads")';
					'doc.comp.profile.subst.members','getBooleanParam("doc.schema.comps.item.profile.subst.members")';
					'doc.comp.profile.nillable','getBooleanParam("doc.schema.comps.item.profile.nillable")';
					'doc.comp.profile.defined','getBooleanParam("doc.schema.comps.item.profile.defined")';
					'doc.comp.profile.includes','getBooleanParam("doc.schema.comps.item.profile.includes")';
					'doc.comp.profile.used','getBooleanParam("doc.schema.comps.item.profile.used")';
					'$sorting','getBooleanParam("doc.schema.comps.sorting")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"element-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='complexTypes'
				COND='getBooleanParam("doc.schema.comps.complexTypes")'
				TEMPLATE_FILE='../type/complexTypeSummary.tpl'
				PASSED_PARAMS={
					'$item.annotation','getStringParam("doc.schema.comps.item.annotation")';
					'doc.comp.profile','getBooleanParam("doc.schema.comps.item.profile")';
					'doc.comp.profile.namespace','getBooleanParam("doc.schema.comps.item.profile.namespace")';
					'doc.comp.profile.content','getBooleanParam("doc.schema.comps.item.profile.content")';
					'doc.comp.profile.abstract','getBooleanParam("doc.schema.comps.item.profile.abstract")';
					'doc.comp.profile.block','getStringParam("doc.schema.comps.item.profile.block")';
					'doc.comp.profile.block.value','getBooleanParam("doc.schema.comps.item.profile.block.value")';
					'doc.comp.profile.block.meaning','getBooleanParam("doc.schema.comps.item.profile.block.meaning")';
					'doc.comp.profile.final','getStringParam("doc.schema.comps.item.profile.final")';
					'doc.comp.profile.final.value','getBooleanParam("doc.schema.comps.item.profile.final.value")';
					'doc.comp.profile.final.meaning','getBooleanParam("doc.schema.comps.item.profile.final.meaning")';
					'doc.comp.profile.defined','getBooleanParam("doc.schema.comps.item.profile.defined")';
					'doc.comp.profile.includes','getBooleanParam("doc.schema.comps.item.profile.includes")';
					'doc.comp.profile.redefines','getBooleanParam("doc.schema.comps.item.profile.redefines")';
					'doc.comp.profile.redefined','getBooleanParam("doc.schema.comps.item.profile.redefined")';
					'doc.comp.profile.used','getBooleanParam("doc.schema.comps.item.profile.used")';
					'$sorting','getBooleanParam("doc.schema.comps.sorting")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"complexType-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='simpleTypes'
				COND='getBooleanParam("doc.schema.comps.simpleTypes")'
				TEMPLATE_FILE='../type/simpleTypeSummary.tpl'
				PASSED_PARAMS={
					'$item.annotation','getStringParam("doc.schema.comps.item.annotation")';
					'doc.comp.profile','getBooleanParam("doc.schema.comps.item.profile")';
					'doc.comp.profile.namespace','getBooleanParam("doc.schema.comps.item.profile.namespace")';
					'doc.comp.profile.content','getBooleanParam("doc.schema.comps.item.profile.content")';
					'doc.comp.profile.final','getStringParam("doc.schema.comps.item.profile.final")';
					'doc.comp.profile.final.value','getBooleanParam("doc.schema.comps.item.profile.final.value")';
					'doc.comp.profile.final.meaning','getBooleanParam("doc.schema.comps.item.profile.final.meaning")';
					'doc.comp.profile.defined','getBooleanParam("doc.schema.comps.item.profile.defined")';
					'doc.comp.profile.redefines','getBooleanParam("doc.schema.comps.item.profile.redefines")';
					'doc.comp.profile.redefined','getBooleanParam("doc.schema.comps.item.profile.redefined")';
					'doc.comp.profile.used','getBooleanParam("doc.schema.comps.item.profile.used")';
					'$sorting','getBooleanParam("doc.schema.comps.sorting")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"simpleType-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='element groups'
				COND='getBooleanParam("doc.schema.comps.groups")'
				TEMPLATE_FILE='../groups/groupSummary.tpl'
				PASSED_PARAMS={
					'$item.annotation','getStringParam("doc.schema.comps.item.annotation")';
					'doc.comp.profile','getBooleanParam("doc.schema.comps.item.profile")';
					'doc.comp.profile.namespace','getBooleanParam("doc.schema.comps.item.profile.namespace")';
					'doc.comp.profile.content','getBooleanParam("doc.schema.comps.item.profile.content")';
					'doc.comp.profile.defined','getBooleanParam("doc.schema.comps.item.profile.defined")';
					'doc.comp.profile.includes','getBooleanParam("doc.schema.comps.item.profile.includes")';
					'doc.comp.profile.redefines','getBooleanParam("doc.schema.comps.item.profile.redefines")';
					'doc.comp.profile.redefined','getBooleanParam("doc.schema.comps.item.profile.redefined")';
					'doc.comp.profile.used','getBooleanParam("doc.schema.comps.item.profile.used")';
					'$sorting','getBooleanParam("doc.schema.comps.sorting")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"group-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='attributes'
				COND='getBooleanParam("doc.schema.comps.attributes")'
				TEMPLATE_FILE='../attribute/attributeSummary.tpl'
				PASSED_PARAMS={
					'$item.annotation','getStringParam("doc.schema.comps.item.annotation")';
					'doc.comp.profile','getBooleanParam("doc.schema.comps.item.profile")';
					'doc.comp.profile.namespace','getBooleanParam("doc.schema.comps.item.profile.namespace")';
					'doc.comp.profile.type','getBooleanParam("doc.schema.comps.item.profile.type")';
					'doc.comp.profile.defined','getBooleanParam("doc.schema.comps.item.profile.defined")';
					'doc.comp.profile.used','getBooleanParam("doc.schema.comps.item.profile.used")';
					'$sorting','getBooleanParam("doc.schema.comps.sorting")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"attribute-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='attribute groups'
				COND='getBooleanParam("doc.schema.comps.attributeGroups")'
				TEMPLATE_FILE='../groups/attributeGroupSummary.tpl'
				PASSED_PARAMS={
					'$item.annotation','getStringParam("doc.schema.comps.item.annotation")';
					'doc.comp.profile','getBooleanParam("doc.schema.comps.item.profile")';
					'doc.comp.profile.namespace','getBooleanParam("doc.schema.comps.item.profile.namespace")';
					'doc.comp.profile.content','getBooleanParam("doc.schema.comps.item.profile.content")';
					'doc.comp.profile.defined','getBooleanParam("doc.schema.comps.item.profile.defined")';
					'doc.comp.profile.includes','getBooleanParam("doc.schema.comps.item.profile.includes")';
					'doc.comp.profile.redefines','getBooleanParam("doc.schema.comps.item.profile.redefines")';
					'doc.comp.profile.redefined','getBooleanParam("doc.schema.comps.item.profile.redefined")';
					'doc.comp.profile.used','getBooleanParam("doc.schema.comps.item.profile.used")';
					'$sorting','getBooleanParam("doc.schema.comps.sorting")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"attributeGroup-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='XML SOURCE'
		COND='getBooleanParam("doc.schema.xml")
&&
! getBooleanParam("doc.schema.xml.separate")'
		TEMPLATE_FILE='schema-source.tpl'
		FMT={
			sec.spacing.before='11.7';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Bottom Message'
		COND='output.type == "document" && 
! hasParamValue("show.about", "none")'
		TEMPLATE_FILE='../about.tpl'
	</TEMPLATE_CALL>
</ROOT>
CHECKSUM='CCgj1pUIIO2LdBTVorIsj5JZuH0TH+rJZxHJk3f5cbU'
</DOCFLEX_TEMPLATE>